<?php
/* ------------------------------------------------------------------------- *
 *  Dynamic styles
/* ------------------------------------------------------------------------- */

if (!function_exists('newsmaster_get_inline_css')) :
    /**
     * Outputs theme custom CSS.
     *
     * @since 1.0.0
     */
    function newsmaster_get_inline_css()
    {
        $defaults = newsmaster_get_all_customizer_default_values();
        $background_color = get_theme_mod('background_color');

        $newsmaster_site_logo_height = newsmaster_get_option('newsmaster_site_logo_height');

        ob_start();
        ?>
        <?php if (!empty($background_color) && $background_color != 'ffffff') :
        ?>
        :root {
        --wpi--base-bg-color: #<?php echo esc_attr($background_color); ?>;
        }
    <?php endif; ?>

        <?php if ($newsmaster_site_logo_height !== $defaults['newsmaster_site_logo_height']) : ?>
        .site-logo img {
        height:<?php echo absint($newsmaster_site_logo_height); ?>px;
        }
    <?php endif; ?>
        <?php
        return ob_get_clean();
    }
endif;
